Author Topic: Cannot play it on Linux  (Read 3433 times)

liamdawe

  • Newbie
  • *
  • Posts: 5
    • View Profile
Cannot play it on Linux
« on: April 04, 2015, 08:07:53 am »
Hi there, Liam from www.GamingOnLinux.com

Previously with your website builds I had no problem running the game, but sadly the Steam release is currently broken for me.

First thing: It required me to install Mono by myself? Is there a reason you're not including all needed libs?

Second: Even after installing Mono it won't let me do single player, as it fails to launch a server, huh? I don't know what the single player requires a server for, but this seems a little off to me.

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #1 on: April 04, 2015, 08:27:45 am »
Hello!
We will try to include Mono with the future releases. The primary reason why we didn't it with the Steam release is that there are many different distributions of Mono, so we need more time to test it and write proper installation scripts. During the alpha- and beta-versions phases there we have feedback from Linux players who didn't complain about it, so we even not thought it will became be a serious issue.

This is strange you didn't have this issue before, as we didn't change anything in this aspect during the last 4-5 months.

Could you upload the logs from /Documents/AtomicTorchStudio/VoidExpanse/Logs on Google Drive or Dropbox and provide the link please?

Regards!

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #2 on: April 04, 2015, 08:33:25 am »
About the server - the game contains of two parts - the dedicated server and the client.
Unfortunately we can't merge them together for the singleplayer mode (we wanted it also), as Unity using very outdated Mono version which have serious issues with garbage collection and it's very slow also, so it's unsuitable for the server part of the game.
So the game launching the server in background when you launch the game, however it's used only for singleplayer and mods validation (if you develop new mod and need to test it on compatibility). Without it you can play in multiplayer only.
Regards!

liamdawe

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Cannot play it on Linux
« Reply #3 on: April 04, 2015, 08:36:29 am »
I've uploaded them here: https://www.dropbox.com/s/sb2d8nurpfjuou2/Logs.tar.gz?dl=0

That reminds me, is it possible to use the proper directory structure for configs and logs on Linux? They're not meant to clog up Document folders, usually find them in places like /home/user/.local/share/voidexpanse or something like that.

I did also have another bug, it asked me to login to my website account, I gave it a wrong password, and it still logged me in as the same username I have from when I purchased the website directly, seems it's not validating the password correctly?

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #4 on: April 04, 2015, 09:27:31 am »
The issue is looks very like this one http://forums.atomictorch.com/index.php?topic=559.msg3583#msg3583 could you try to reinstall Mono with apt-get please?
Code: [Select]
sudo apt-get install mono-completeIt works for us very well (tested yesterday on a fresh Ubuntu 14.04 VM).

About the wrong password - are you sure you gave the wrong password? I will test it right now. We're very cautious about the security and encryption, so I'm very surprised about it.

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #5 on: April 04, 2015, 09:30:44 am »
I've tried entering wrong password and the error message displayed, so you can't link account with Steam without entering the proper credentials.
If you want to try it again I can reset the link between your account and Steam, so the game on restart will ask for it again.
« Last Edit: April 04, 2015, 09:37:39 am by ai_enabled »

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #6 on: April 04, 2015, 09:33:23 am »
That reminds me, is it possible to use the proper directory structure for configs and logs on Linux? They're not meant to clog up Document folders, usually find them in places like /home/user/.local/share/voidexpanse or something like that.
Well, we decided it to be the same on all platforms to be more user friendly, as there are also stored the savegames, screenshots and mods.

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #7 on: April 04, 2015, 10:29:23 am »
I'm going offline so I (or Lurler) will answer after 8-10 hours.

liamdawe

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Cannot play it on Linux
« Reply #8 on: April 04, 2015, 11:29:57 am »
Well, we decided it to be the same on all platforms to be more user friendly, as there are also stored the savegames, screenshots and mods.

I get what you're saying, but on Linux this is still incorrect behaviour and you can generally see what goes where on Linux here: http://standards.freedesktop.org/basedir-spec/basedir-spec-latest.html

It will make the Linux audience happier I can assure you that.

liamdawe

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Cannot play it on Linux
« Reply #9 on: April 04, 2015, 11:32:19 am »
The issue is looks very like this one http://forums.atomictorch.com/index.php?topic=559.msg3583#msg3583 could you try to reinstall Mono with apt-get please?
Code: [Select]
sudo apt-get install mono-completeIt works for us very well (tested yesterday on a fresh Ubuntu 14.04 VM).

About the wrong password - are you sure you gave the wrong password? I will test it right now. We're very cautious about the security and encryption, so I'm very surprised about it.

As for this, yes I really did give it the wrong password, and it still seemed to log me in.

It would be really helpful to have the game come with mono, or install it for you, or to at least mention that you need to install them and how. I will be sure to note this in GOL's article on it so people don't get too confused.

kyokei

  • Sr. Member
  • ****
  • Posts: 475
    • View Profile
Re: Cannot play it on Linux
« Reply #10 on: April 04, 2015, 11:45:25 am »
Thanks Liam for covering this - and I just want to say that I had part in testing the linux release and I didn't have any of these issues. Do note that the devs will do everything possible to get this working perfectly on linux (talking about previous experience with them)

liamdawe

  • Newbie
  • *
  • Posts: 5
    • View Profile
Re: Cannot play it on Linux
« Reply #11 on: April 04, 2015, 12:27:26 pm »
I seem to be encountering rather frequent crash to desktop bugs.

Log files are available at the same link as before, I just updated the archive.

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #12 on: April 04, 2015, 05:44:33 pm »
It would be really helpful to have the game come with mono, or install it for you, or to at least mention that you need to install them and how. I will be sure to note this in GOL's article on it so people don't get too confused.
Yes, we will work on it. However if you run the game it should display the message saying that you need Mono to run the game server. We will include this information into the game requirements on Steam.

I've looked on the logs and unfortunately they're not contain any information regarding the crashes - it seems the logger was closed before it could write the crash report to the log file.
If the crash happens again could you upload the Unity log please? It's located at ~/.config/unity3d/AtomicTorchStudio/VoidExpanse/Player.log

By the way, the NoesisGUI team confirmed they will provide 64-bit Linux libraries of NoesisGUI, so we will be able to publish 64-bit version of the game on Linux and most of these issues will be resolved as well (and there will be no requirement for installation of the 32-bit compatibility libraries).

Regards!
« Last Edit: April 04, 2015, 05:52:14 pm by ai_enabled »

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #13 on: April 13, 2015, 07:37:27 am »
Hello!
VoidExpanse v1.2.6 features bundled Mono for Linux and Mac versions.
The 64-bit Linux version is coming soon!
Regards!

ai_enabled

  • AtomicTorch Founder
  • Hero Member
  • *****
  • Posts: 1073
    • View Profile
Re: Cannot play it on Linux
« Reply #14 on: April 16, 2015, 01:52:02 am »
Yesterday we've released v1.2.7 with native binaries for 64-bit Linux.
Regards!